Subject: Re: bug#52205: Allow configuring multiple mail accounts for smtpmail.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 04 Dec 2021 20:01:35 +0100

Philip Kaludercic <[email-masked]> writes:

> Let's say I open a mail buffer with C-x m.  My default address is
> inserted into the "From:" header. If I were to write my message, and
> then decide to use my secondary address, I would either have to modify
> the X-Message-SMTP-Method manually, or have it updated just before the
> message is sent out.  The former is no improvement over the current
> situation, and the second has the same potential for confusion, because
> the user doesn't notice that the header is generated or updated.

Or we could add a command like `message-update-smtp-method-header' and
people could call that (or add it to their hooks) after altering their
>From (or whatever) headers.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no